List Customers

Path Params
string
required

The merchant ID

Query Params
integer | null

The maximum number of items to return

integer | null

The starting index of items to return

string
required

Filter the list of customers by attribute(s).

Exact match:

Include the attribute name in the brackets followed by an equal sign and the value you want to filter by. You can use commas (,) to separate multiple values for the same attribute.

  • Allowed attributes: id, skType

  • Example: ?filter[sKType]=TEST

  • Example (multiple values): ?filter[id]=id_1,id_2,id_3

Partial match:

Include the attribute name in the brackets followed by an equal sign and the value you want to filter by. You can use commas (,) to separate multiple values for the same attribute.

  • Allowed attributes: email, firstName, lastName, phone

  • Example: ?filter[email][email protected] (returns all emails containing @example.com)

  • Example: ?filter[firstName]=john (returns all first names containing john)

  • Example: ?filter[phone]=8940 (returns all phone numbers containing string 8940, e.g. "+17186238940")

Dynamic operators:

Follow the "=" with a comparison operator and the value you want to filter by.

  • Available operators: =, !=, <, <=, >, >=.

  • Allowed attributes: dateOfBirth, createdAt, updatedAt

  • Example (greater than): ?filter[dateOfBirth]=>1990

  • Example (greater than or equal to): ?filter[dateOfBirth]=>=1995-06-02

  • Example (less than): ?filter[createdAt]=<2025-05-29T00:00:00Z

Scopes:

Filter by specific conditions defined in the model.

  • Allowed scopes: dateOfBirthBetween, createdBetween, updatedBetween

  • Example: ?filter[dateOfBirthBetween]=1990,1995

  • Example: ?filter[createdBetween]=2025-05-29,2025-05-30

string
required

Sort the list by attribute(s). Use - prefix for descending order.

  • Allowed attributes: firstName, lastName, dateOfBirth, createdAt, updatedAt

  • Example (ascending order): ?sort=lastName

  • Example (descending order): ?sort=-dateOfBirth

string

The timezone to use for date filtering. Defaults to 'UTC'. Supports timezone identifiers (e.g., America/Phoenix, America/Los_Angeles) and abbreviations (e.g., MST, MDT, PST, PDT). Examples: ?timezone=America/Phoenix or ?timezone=MST

Headers
string
Response

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json